#include "CS_PuppyAir.h"
const int CS_PuppySTATENAME_AIR = ++entityStateID;
CS_PuppyAir::CS_PuppyAir()
{
	stateID = CS_PuppySTATENAME_AIR;
}

void CS_PuppyAir::State()
{
	auto we = e.lock();
	if (!we)
		return;
	we->ani.sprite_index = we->lr == 0 ? L"mc_puppy_jump_l" : L"mc_puppy_jump_r";
}

void CS_PuppyAir::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
